#!/bin/sh

PWD=`pwd`
CWD=$PWD

cd ../v4l_experimental/pvrusb2
PVRUSB2=$PWD

echo creating pvrusb2 symbolic links...

for x in `find . -type f -name '*.[c,h]'` ; do
	ln -f -s $PVRUSB2/$x $CWD/$x
done

cd $CWD
patch -p1 <<'DIFF'
--- v4l.orig/Make.config
+++ v4l/Make.config
@@ -17,7 +17,7 @@
 
 CONFIG_VIDEO_ADV_DEBUG	:= y
 
-CONFIG_VIDEO_PVRUSB2	:= n
+CONFIG_VIDEO_PVRUSB2	:= m
 
 # doesn't build on older kernels
 
--- v4l.orig/Makefile
+++ v4l/Makefile
@@ -319,10 +319,10 @@
 	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) $(MYCFLAGS) modules
 
 pvrusb2::
-	@scripts/merge-pvrusb2.sh
+#	@scripts/merge-pvrusb2.sh
 
 pvrusb2-unmerge::
-#	patch -R -p1 < scripts/merge-pvrusb2.sh
+	patch -R -p1 < scripts/merge-pvrusb2.sh
 
 links::
 	@echo creating symbolic links...
@@ -464,7 +467,7 @@ dvb-rminstall::
 rmmodules::
 	rmmod -w $(shell echo "$(v4l_modules)"|sed s,' ','\n',g|sed s,'-','_',g|sort|uniq -d)
 
-clean::
+clean:: pvrusb2-unmerge
 	@find . -name '*.c' -type l -exec rm '{}' \;
 	@find . -name '*.h' -type l -exec rm '{}' \;
 	-rm -f *~ *.o *.ko .*.o.cmd .*.ko.cmd *.mod.c av7110_firm.h fdump
